<?php
include "../session.php"; 

if($role!="ADMIN"){
  header("Location:index.php");
  die();
}


include "conect.php";


$cliente    = $_POST['cliente'];
$codAsociado = $_POST['codCliente'];
$codBarras  = $_POST['codBarras'];
$codProduct = $_POST['codProduct'];
$nombProduct = $_POST['nombProduct'];
$categoria   = $_POST['categoria'];
$tipo       = $_POST['tipo'];
$subsidio   = $_POST['subsidio'];
$contado    = $_POST['contado'];
$tokenTemporal    = $_POST['tokenTemporal'];
$statusV="activo";

$precioTotal = $subsidio+$contado;

if ($codProduct=="du001") {
$subsidio2 = 3;
}
else if ($codProduct=="du002") {
    $subsidio2 = 3;
} else{
    $subsidio2=0;
};

$consultaExistente = mysqli_query($con, "SELECT * FROM ventas WHERE CODIGO_AS = '$codAsociado' AND COD_PROD_V = '$codProduct' AND TOKENTEMPO = '$tokenTemporal'");
$registrosExistentes = mysqli_num_rows($consultaExistente);

if ($registrosExistentes > 0) {

echo 3;

}
else{


date_default_timezone_set('America/Guatemala');
$date=date("d-m-Y");
$dateReg=date("Y-m-d");
$hora=date('H:i:s');


$registro=mysqli_query($con, "INSERT INTO ventas(
        CODIGO_AS,NOMBRE_AS,COD_PROD_V,TIPO_PROD_V,NOMBRE_PROD_V,PAGO_CREDITO,SUBS2,PAGO_CONT,TOTAL,SOLVENT,DATE_ING,HORA_INGRESO,USUARIO_REG,TOKENTEMPO,STATUS) VALUES ('$codAsociado','$cliente','$codProduct','$tipo','$nombProduct','$subsidio','$subsidio2','$contado','$precioTotal','0','$dateReg','$hora','$session','$tokenTemporal','$statusV')");

if ($registro) {

    $consulta1 = mysqli_query($con, "SELECT * FROM ventas WHERE (CODIGO_AS = '$codAsociado' AND COD_PROD_V = '$codProduct' AND DATE_ING='$dateReg' AND HORA_INGRESO='$hora')");
    $conteo1   = mysqli_num_rows($consulta1);

    if ($conteo1>0) {

         while ($row = mysqli_fetch_array($consulta1)) {

                        $productoRegistrado    = $row['NOMBRE_PROD_V'];
                        $ticketID    = $row['ID'];
                        $ContadoReg    = $row['PAGO_CONT'];
                        $CreditoReg    = $row['PAGO_CREDITO'];
                        $Subsidio2    = $row['SUBS2'];
                        

                        

        };



        include ('../plugins/impresora/ticket.php');

            if ($imprimiendo==1) {
                
                $msjImpresion="Se ha enviado a imprimir";
            }
            else{
                $msjImpresion="Sin embargo no se ha impreso.. Revise";
            };


            ?>
                        <h1><?php echo $productoRegistrado; ?></h1>
                        <p><?php echo $cliente; ?></p>
                        <p><?php echo $msjImpresion; ?></p>
                        <p><?php echo $statusPrint; ?></p>
                        <?php 

       

        };

    }
}




 ?>